
package Term::Size::Perl::Params; 

# created Tue Jan 24 02:34:34 2012

use vars qw($VERSION);
$VERSION = 0.029;

=head1 NAME

Term::Size::Perl::Params - parameters for Term::Size::Perl

=head1 SYNOPSIS

    $href = Term::Size::Perl::Params

=head1 DESCRIPTION

The configuration parameters C<Term::Size::Perl> needs to
know for retrieving the terminal size with C<ioctl>.

=cut

sub params {
    return (
        winsize => {
            sizeof => 8,
            mask => 'S!S!S!S!'
        },
        TIOCGWINSZ => {
            value => 1074295912,
            definition => qq{((unsigned long) ((0x40000000) | (((sizeof(struct winsize)) & ((1 << 13) - 1)) << 16) | ((('t')) << 8) | ((104))))}
        }
    );
}

1;
